Bug 889524 - [abrt] cherrytree-0.28.5-1.fc17: machines.py:360:codebox_element_to_xml:KeyError: 'highlight_brackets'
Summary: [abrt] cherrytree-0.28.5-1.fc17: machines.py:360:codebox_element_to_xml:KeyEr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cherrytree
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c235f6e216b399ea64bbb4821ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 15:18 UTC by John Duchek
Modified: 2013-01-23 02:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-23 02:07:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2012-12-21 15:18 UTC, John Duchek
no flags Details
File: core_backtrace (711 bytes, text/plain)
2012-12-21 15:18 UTC, John Duchek
no flags Details
File: environ (1.91 KB, text/plain)
2012-12-21 15:18 UTC, John Duchek
no flags Details
File: smolt_data (3.80 KB, text/plain)
2012-12-21 15:18 UTC, John Duchek
no flags Details

Description John Duchek 2012-12-21 15:18:17 UTC
Description of problem:
I do not know.  I just upgraded to the latest cherrytree 2 days ago.  Did not notice anything in its running.  I was using a passworded file when the bug reporting tool came up with this.  

Version-Release number of selected component:
cherrytree-0.28.5-1.fc17

Additional info:
cmdline:        /usr/bin/python /usr/bin/cherrytree
dso_list:       python-libs-2.7.3-7.2.fc17.x86_64
executable:     /usr/bin/cherrytree
kernel:         3.6.11-1.fc17.x86_64
uid:            1000

Truncated backtrace:
machines.py:360:codebox_element_to_xml:KeyError: 'highlight_brackets'

Traceback (most recent call last):
  File "/usr/share/cherrytree/modules/clipboard.py", line 249, in to_html
    xml_string = html_import.get_clipboard_selection_xml(selection_data)
  File "/usr/share/cherrytree/modules/imports.py", line 1496, in get_clipboard_selection_xml
    self.feed(input_string)
  File "/usr/lib64/python2.7/HTMLParser.py", line 114, in feed
    self.goahead(0)
  File "/usr/lib64/python2.7/HTMLParser.py", line 160, in goahead
    k = self.parse_endtag(i)
  File "/usr/lib64/python2.7/HTMLParser.py", line 398, in parse_endtag
    self.handle_endtag(elem)
  File "/usr/share/cherrytree/modules/imports.py", line 1439, in handle_endtag
    self.dad.xml_handler.codebox_element_to_xml([0, codebox_dict, "left"], self.curr_dom_slot)
  File "/usr/share/cherrytree/modules/machines.py", line 360, in codebox_element_to_xml
    dom_iter.setAttribute("highlight_brackets", str(element[1]['highlight_brackets']))
KeyError: 'highlight_brackets'

Local variables in innermost frame:
dom_iter: <DOM Element: codebox at 0x2b668c0>
self: <machines.XMLHandler instance at 0x2b32bd8>
dom_node: <DOM Element: slot at 0x2b66830>
element: [0, {'width_in_pixels': True, 'fill_text': u'y3cshhf7vs7wgzdk6g3edy36k4', 'frame_height': 150, 'frame_width': 300, 'syntax_highlighting': 'custom-colors'}, 'left']

Comment 1 John Duchek 2012-12-21 15:18:22 UTC
Created attachment 667274 [details]
File: backtrace

Comment 2 John Duchek 2012-12-21 15:18:23 UTC
Created attachment 667275 [details]
File: core_backtrace

Comment 3 John Duchek 2012-12-21 15:18:25 UTC
Created attachment 667276 [details]
File: environ

Comment 4 John Duchek 2012-12-21 15:18:26 UTC
Created attachment 667277 [details]
File: smolt_data

Comment 5 Giuseppe Penone 2012-12-23 07:43:30 UTC
The bug is not related to latest version but is quite old, it depends from the kind of data pasted from the clipboard.
I fixed it, thanks for reporting, I'll release a new version in the next days.

Comment 6 Fedora Update System 2013-01-12 15:24:22 UTC
cherrytree-0.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cherrytree-0.29-1.fc17

Comment 7 Fedora Update System 2013-01-14 04:28:28 UTC
Package cherrytree-0.29-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.29-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0789/cherrytree-0.29-1.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-23 02:07:50 UTC
cherrytree-0.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.